Package org.linphone.core

# Enum Class FriendList.SyncStatus

java.lang.Object
java.lang.Enum<FriendList.SyncStatus>
org.linphone.core.FriendList.SyncStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<FriendList.SyncStatus>`, `Constable`

Enclosing interface:
  `FriendList`

public static enum FriendList.SyncStatus extends Enum<FriendList.SyncStatus>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Failure`
Synchronization failed.
`Started`
Synchronization started.
`Successful`
Synchronization finished successfuly.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static FriendList.SyncStatus`
`fromInt(int value)`
`int`
`toInt()`
`static FriendList.SyncStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FriendList.SyncStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Started

public static final FriendList.SyncStatus Started
Synchronization started.

### Successful

public static final FriendList.SyncStatus Successful
Synchronization finished successfuly.

### Failure

public static final FriendList.SyncStatus Failure
Synchronization failed.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static FriendList.SyncStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FriendList.SyncStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static FriendList.SyncStatus fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()